%global pkgname Set-Array

Name:           perl-Set-Array
Version:        0.30
Release:        5%{?dist}
Summary:        Arrays as objects with lots of handy methods
License:        Artistic 2.0
URL:            http://search.cpan.org/dist/Set-Array/
Source0:        http://www.cpan.org/authors/id/R/RS/RSAVAGE/%{pkgname}-%{version}.tgz
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Want)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Set::Array allows you to create arrays as objects and use OO-style methods
on them. Many convenient methods are provided here that appear in the
FAQ's, the Perl Cookbook or posts from comp.lang.perl.misc. In addition,
there are Set methods with corresponding (overloaded) operators for the
purpose of Set comparison, i.e. +, ==, etc.

%prep
%setup -qn %{pkgname}-%{version}
iconv -f iso8859-1 -t utf-8 Changes > Changes.conv && mv -f Changes.conv Changes

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.30-4
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.30-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 23 2013 Christopher Meng <rpm@cicku.me> - 0.30-1
- New version.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.29-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 0.29-3
- Perl 5.18 rebuild

* Thu Jul 11 2013 Christopher Meng <rpm@cicku.me> - 0.29-2
- Fix UTF8 issue.

* Wed Jul 03 2013 Christopher Meng <rpm@cicku.me> - 0.29-1
- Change the license so can be accepted by Fedora.

* Sun Dec 23 2012 Christopher Meng <rpm@cicku.me> - 0.28-1
- Initial Package.
